# Trait heck::ToShoutyKebabCase

source · [−]

    pub trait ToShoutyKebabCase: ToOwned {
        fn to_shouty_kebab_case(&self) -> Self::Owned;
    }

Expand description

This trait defines a shouty kebab case conversion.

In SHOUTY-KEBAB-CASE, word boundaries are indicated by hyphens and all words are in uppercase.

### Example:

    use heck::ToShoutyKebabCase;

    let sentence = "We are going to inherit the earth.";
    assert_eq!(sentence.to_shouty_kebab_case(), "WE-ARE-GOING-TO-INHERIT-THE-EARTH");

## Required Methods

source

#### fn to_shouty_kebab_case(&self) -> Self::Owned

Convert this type to shouty kebab case.

## Implementations on Foreign Types

source

### impl ToShoutyKebabCase for str

source

#### fn to_shouty_kebab_case(&self) -> Self::Owned

## Implementors